# -*- coding: utf-8 -*-
"""
	Allscrapers Module
"""

from allscrapers.modules.control import addonPath, addonVersion, joinPath
from allscrapers.windows.textviewer import TextViewerXML


def get():
	allscrapers_path = addonPath()
	allscrapers_version = addonVersion()
	changelogfile = joinPath(allscrapers_path, 'changelog.txt')
	r = open(changelogfile, 'r', encoding='utf-8', errors='ignore')
	text = r.read()
	r.close()
	heading = '[B]AllScrapers -  v%s - ChangeLog[/B]' % allscrapers_version
	windows = TextViewerXML('textviewer.xml', allscrapers_path, heading=heading, text=text)
	windows.run()
	del windows