# -*- coding: utf-8 -*-
"""
	Allscrapers Module
"""

from allscrapers.modules.control import addonPath, addonVersion, joinPath
from allscrapers.windows.textviewer import TextViewerXML


def get(file):
	allscrapers_path = addonPath()
	allscrapers_version = addonVersion()
	helpFile = joinPath(allscrapers_path, 'lib', 'allscrapers', 'help', file + '.txt')
	r = open(helpFile, 'r', encoding='utf-8', errors='ignore')
	text = r.read()
	r.close()
	heading = '[B]AllScrapers -  v%s - %s[/B]' % (allscrapers_version, file)
	windows = TextViewerXML('textviewer.xml', allscrapers_path, heading=heading, text=text)
	windows.run()
	del windows